%define alsa_version 1.0.4

Summary:     Advanced Linux Sound Architecture (ALSA) Utilities
Name:        alsa-utils
Version:     %{alsa_version}
Release:     2.pp
License:     GPL
Group:       Console/Utilities
Source0:     ftp://ftp.alsa-project.org/pub/utils/%{name}-%{version}.tar.bz2
URL:         http://www.alsa-project.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      ALSA
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    alsa-lib = %{version} alsa-lib.pp glibc ncurses
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: alsa-lib-devel = %{version} alsa-lib-devel.pp glibc-devel
BuildPrereq: ncurses-devel
ExclusiveOS: linux


%description
The Advanced Linux Sound Architecture is composed of several parts.
The first is a fully modularized sound driver which supports module
autoloading, devfs, isapnp autoconfiguration, and gives complete
access to analog audio, digital audio, control, mixer, synthesizer,
DSP, MIDI, and timer components of audio hardware. It also includes
a fully-featured kernel-level sequencer, a full compatibility layer
for OSS/Free applications, an object-oriented C library which covers
and enhances the ALSA kernel driver functionality for applications
(client/server, plugins, PCM sharing/multiplexing, PCM metering,
etc.), an interactive configuration program for the driver, and some
simple utilities for basic management.

This package contains the management utilities.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf %{buildroot}


%files
%doc ChangeLog COPYING INSTALL README TODO
/usr/bin/*
/usr/sbin/*
/usr/share/man/man1/*
/usr/share/man/man8/*


%changelog
* Sun May 02 2004 peter.pramberger@1012surf.net
- created

